<div class="d-flex justify-content-between mt-5">
  <div class="sub-head">Leadership</div>
  <%= link_to "Add", new_authority_path, class: "btn btn-primary btn-blue" %>
</div>

<div class="table-responsive mt-5">
  <table class="table table-striped table-borderless table-custom">
    <thead class="table-purple">
      <tr>
        <th scope="col">Name</th>
        <th scope="col">Designation</th>
        <th scope="col">Uploaded List</th>
        <th scope="col">Email</th>
        <th scope="col">Contact Number</th>
        <th scope="col">Qualification</th>
        <th scope="col">Date of Appointment</th>
        <th scope="col">Actions</th>
      </tr>
    </thead>
    <tbody>
      <% @authorities.each do |authority| %>
        <tr>
          <td><%= authority.name %></td>
          <td><%= authority.designation.try(:name) %></td>
          <td>
            <% if authority.upload_list.file.present? %>
              <%= link_to "List", authority.upload_list.url, class: "list-link", target: :_blank %>
            <% end %>
          </td>
          <td><%= authority.email %></td>
          <td><%= authority.contact_number %></td>
          <td><%= authority.qualification %></td>
          <td><%= authority.date_of_appointment %></td>
          <td>
            <%= link_to image_tag("edit.svg", class: "btn btn-bg btn-edit"), edit_authority_path(authority) %>
            <%= link_to image_tag("delete.svg", class: "btn btn-bg"), authority_path(authority), data: { turbo_method: :delete, confirm: 'Are you sure?' } %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>
